# Generated from chronic_duration-0.10.6.gem by gem2rpm -*- rpm-spec -*-
%global gem_name chronic_duration

Name: rubygem-%{gem_name}
Version: 0.10.6
Release: 1%{?dist}
Summary: A simple Ruby natural language parser for elapsed time
License: MIT
URL: https://github.com/hpoydar/chronic_duration
Source0: https://rubygems.org/downloads/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 2.12.0
# BuildRequires: rubygem(rspec) < 2.13
BuildArch: noarch
Requires: rubygem-numerizer

%description
A simple Ruby natural language parser for elapsed time. (For example, 4 hours
and 30 minutes, 6 minutes 4 seconds, 3 days, etc.) Returns all results in
seconds. Will return an integer unless you get tricky and need a float. (4
minutes and 13.47 seconds, for example.) The reverse can also be performed via
the output method.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
gem unpack %{SOURCE0}

%setup -q -D -T -n  %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec
sed -i 's/0.1.1/0.2/' %{gem_name}.gemspec

%build
# Create the gem as gem install only works on a gem file
gem build %{gem_name}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE.txt
%exclude %{gem_instdir}/chronic_duration.gemspec
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/spec

%changelog
* Tue Aug 29 2017 Marcel Haerry <mh+fedora@scrit.ch> - 0.10.6-1
- Initial package
